package pusher

import (
	"testing"
	"wdd.io/agent-common/utils"
)

func TestCmiiUpdateMessage_SendMessage(t *testing.T) {
	c := &CmiiUpdateMessage{
		Namespace:    "dev",
		AppName:      "cmii-uav-gateway",
		FromTag:      "5.1.0",
		ToTag:        "5.5.0",
		Replicas:     "2",
		DeployStatus: false,
	}

	utils.BeautifulPrint(c)

	c.SendMessage()
}
